	
Notes2Witget = class( Turbine.UI.Window );

function Notes2Witget:Constructor()

	Turbine.UI.Window.Constructor( self );
	self:SetBackColor( Turbine.UI.Color() );
	self:SetSize( Settings_Char.W, Settings_Char.H-diff);
	self:SetPosition( Settings_Char.X, Settings_Char.Y+diff);
	self:SetOpacity( Win_OC );
	self:Activate();

	self.itemListBoxScrollBar = Turbine.UI.Lotro.ScrollBar();
	self.itemListBoxScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
	self.itemListBoxScrollBar:SetParent( self );

	self.itemNameBox = Turbine.UI.Lotro.TextBox();
	self.itemNameBox:SetFont( Turbine.UI.Lotro.Font.Verdana14 );
	self.itemNameBox:SetParent( self );
	self.itemNameBox:SetSize( 200, 20 );
	self.itemNameBox:SetPosition( 15, 55 );
	self.itemNameBox:SetVisible( false );
	
	self.itemListBox = Turbine.UI.Lotro.TextBox();
	self.itemListBox:SetFont( Turbine.UI.Lotro.Font.Verdana14 );
	self.itemListBox:SetParent( self );
	self.itemListBox:SetVerticalScrollBar( self.itemListBoxScrollBar );
	if current_type == 'account' then
		if Notes_Acc[NN_account] == nil then
			self.itemListBox:SetText( L["MSG2"] );
		else
			self.itemListBox:SetText( Notes_Acc[NN_account] );
		end
	else
		if Notes_Char[NN_char] == nil then
			self.itemListBox:SetText( L["MSG2"] );
		else
			self.itemListBox:SetText( Notes_Char[NN_char] );
		end
	end

	
	self.Closed = function( sender, args )
		self:SetWantsKeyEvents( false );
	end
	
	self.MouseClick = function ( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Right) then

		end
	end
	
-- close by ESC, toggle by F12
	self.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			self:Close();
		elseif ( args.Action == 268435635 ) or ( args.Action == 268435579 ) then
			self:SetVisible( not self:IsVisible() );
		end
	end
end
